Debian Bug report logs - #566900
ITA: openbox -- standards compliant, fast, light-weight,

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nico Golde <nion@debian.org>

Date: Mon, 25 Jan 2010 20:57:01 UTC

Owned by: Mateusz Łukasik <mati75@linuxmint.pl>

Severity: normal

Merged with 697595

Fixed in version openbox/3.5.0-8

Done: Mateusz Łukasik <mati75@linuxmint.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#566900; Package wnpp. (Mon, 25 Jan 2010 20:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Mon, 25 Jan 2010 20:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFH: openbox -- standards compliant, fast, light-weight, extensible window manager
Date: Mon, 25 Jan 2010 21:54:00 +0100
Package: wnpp
Severity: normal

I request assistance with maintaining the openbox package.
I am especially interested in a co-maintainer who uses openbox in a gnome or 
lxde environment as it is a PITA to debug these setups (at least when you're 
not using them). The project is currently hosted at alioth and uses svn so it 
shouldn't be a big deal to team-maintain this.

Please let me know, if you're interested.


The package description is:
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers.  Openbox was written first to
 comply with standards and to work properly.  Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager.  It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox.  Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 Some of the things to look for in Openbox are:
 .
  * ICCCM and EWMH compliance!
  * Very fast
  * Chainable key bindings
  * Customizable mouse actions
  * Window resistance
  * Multi-head Xinerama support!
  * Pipe menus




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#566900; Package wnpp. (Sun, 07 Feb 2010 14:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lavergne <julien.lavergne@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 07 Feb 2010 14:09:02 GMT) Full text and rfc822 format available.

Message #10 received at 566900@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: Nico Golde <nion@debian.org>
Cc: 566900@bugs.debian.org
Subject: Re: Bug#566900: RFH: openbox -- standards compliant, fast, light-weight, extensible window manager
Date: Sun, 07 Feb 2010 15:07:55 +0100
Hi,

I'm using openbox in a LXDE environnement, so if you need assistance on
some items, you can contact me.

Regards,
Julien Lavergne

Le lundi 25 janvier 2010 à 21:54 +0100, Nico Golde a écrit :
> Package: wnpp
> Severity: normal
> 
> I request assistance with maintaining the openbox package.
> I am especially interested in a co-maintainer who uses openbox in a gnome or 
> lxde environment as it is a PITA to debug these setups (at least when you're 
> not using them). The project is currently hosted at alioth and uses svn so it 
> shouldn't be a big deal to team-maintain this.
> 
> Please let me know, if you're interested.
> 
> 
> The package description is:
>  Openbox works with your applications, and makes your desktop easier to manage.
>  This is because the approach to its development was the opposite of what seems
>  to be the general case for window managers.  Openbox was written first to
>  comply with standards and to work properly.  Only when that was in place did
>  the team turn to the visual interface.
>  .
>  Openbox is fully functional as a stand-alone working environment, or can be
>  used as a drop-in replacement for the default window manager in the GNOME or
>  KDE desktop environments.
>  .
>  Openbox 3 is a completely new breed of window manager.  It is not based upon
>  any existing code base, although the visual appearance has been based upon
>  that of Blackbox.  Openbox 2 was based on the Blackbox 0.65.0 codebase.
>  .
>  Some of the things to look for in Openbox are:
>  .
>   * ICCCM and EWMH compliance!
>   * Very fast
>   * Chainable key bindings
>   * Customizable mouse actions
>   * Window resistance
>   * Multi-head Xinerama support!
>   * Pipe menus
> 
> 
> 






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#566900; Package wnpp. (Fri, 20 Jan 2012 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to me@medhamsh.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 20 Jan 2012 11:51:05 GMT) Full text and rfc822 format available.

Message #15 received at 566900@bugs.debian.org (full text, mbox):

From: "Medhamsh" <me@medhamsh.org>
To: 566900@bugs.debian.org
Subject: Interested in co-maintaining
Date: Fri, 20 Jan 2012 17:18:07 +0530 (IST)
Hello,

I use openbox as a stand alone desktop environment. I would
like to be a co-maintainer of the package.

I am not a pro but beginner in terms of packaging. I've done
packaging (mostly binary) for personal uses and setups at my
work place. Recently submitted some ITPs. But I am interested
and committed to contribute on a long term basis. If you are
still open to have a co-maintainer please count me.

Sincerely,
-- 
Medhamsh
Hacktivist | http://medhamsh.org





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#566900; Package wnpp. (Mon, 23 Apr 2012 09:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to lxde-debian@lists.lxde.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Apr 2012 09:33:06 GMT) Full text and rfc822 format available.

Message #20 received at 566900@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Nico Golde <nion@debian.org>
Cc: 566900@bugs.debian.org, lxde-debian@lists.lxde.org
Subject: Re: RFH: openbox -- standards compliant, fast, light-weight, extensible window manager
Date: Mon, 23 Apr 2012 11:29:14 +0200
Hi,

I offer to adopt openbox on behalf of the Debian LXDE team.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#566900; Package wnpp. (Tue, 08 May 2012 05:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 08 May 2012 05:15:06 GMT) Full text and rfc822 format available.

Message #25 received at 566900@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: lxde-debian@lists.lxde.org
Cc: 566900@bugs.debian.org
Subject: Re: RFH: openbox -- standards compliant, fast, light-weight, extensible window manager
Date: Tue, 8 May 2012 07:12:39 +0200
[Message part 1 (text/plain, inline)]
Hi,
* Daniel Baumann <daniel.baumann@progress-technologies.net> [2012-04-23 11:34]:
> I offer to adopt openbox on behalf of the Debian LXDE team.

Thanks but so far my intention was not to orphan it. Feel free to join as a 
co-maintainer.

Cheers
Nico
-- 
Nico Golde - http://www.ngolde.de - nion@jabber.ccc.de - GPG: 0xA0A0AAAA
For security reasons, all text in this mail is double-rot13 encrypted.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#566900; Package wnpp. (Thu, 10 May 2012 07:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 May 2012 07:15:09 GMT) Full text and rfc822 format available.

Message #30 received at 566900@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Nico Golde <nion@debian.org>
Cc: Debian LXDE Maintainers <lxde-debian@lists.lxde.org>, 566900@bugs.debian.org
Subject: Re: RFH: openbox -- standards compliant, fast, light-weight, extensible window manager
Date: Thu, 10 May 2012 09:13:43 +0200
On 05/08/2012 07:12 AM, Nico Golde wrote:
> Thanks but so far my intention was not to orphan it.

ok.

> Feel free to join as a  co-maintainer.

my intention is to consolidate openbox with the rest of the lxde
packages, i'm currently not interested in another 'not into my workflow
integrated' leaf package.

should you at some point decide to orphan it, please let me know before.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#566900; Package wnpp. (Thu, 10 May 2012 18:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 May 2012 18:33:03 GMT) Full text and rfc822 format available.

Message #35 received at 566900@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: daniel.baumann@progress-technologies.net, 566900@bugs.debian.org
Cc: Debian LXDE Maintainers <lxde-debian@lists.lxde.org>
Subject: Re: Bug#566900: RFH: openbox -- standards compliant, fast, light-weight, extensible window manager
Date: Thu, 10 May 2012 20:31:20 +0200
[Message part 1 (text/plain, inline)]
Hi,
* Daniel Baumann <daniel.baumann@progress-technologies.net> [2012-05-10 09:19]:
> On 05/08/2012 07:12 AM, Nico Golde wrote:
> > Feel free to join as a  co-maintainer.
> 
> my intention is to consolidate openbox with the rest of the lxde
> packages, i'm currently not interested in another 'not into my workflow
> integrated' leaf package.

Ok fair enough.

> should you at some point decide to orphan it, please let me know before.

Will do, thanks for your interest in this package!
Cheers
Nico

-- 
Nico Golde - http://www.ngolde.de - nion@jabber.ccc.de - GPG: 0xA0A0AAAA
For security reasons, all text in this mail is double-rot13 encrypted.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#566900; Package wnpp. (Fri, 30 Nov 2012 03:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael <rafaelschp@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 30 Nov 2012 03:39:03 GMT) Full text and rfc822 format available.

Message #40 received at 566900@bugs.debian.org (full text, mbox):

From: Rafael <rafaelschp@gmail.com>
To: 566900@bugs.debian.org
Subject: I run it in GNOME
Date: Fri, 30 Nov 2012 01:35:56 -0200
Hi! I run Openbox mostly in GNOME, but sometimes also in Xfce. I can
help you test it. I will go through the bugs and look what I can do for
now, feel free to ask what you need.

Regards,
Rafael




Merged 566900 697595 Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Fri, 11 Jan 2013 04:39:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'O: openbox -- standards compliant, fast, light-weight, extensible window manager' from 'RFH: openbox -- standards compliant, fast, light-weight, extensible window manager' Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. (Sat, 12 Jan 2013 06:33:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: openbox -- standards compliant, fast, light-weight,' from 'O: openbox -- standards compliant, fast, light-weight, extensible window manager' Request was from Mateusz Łukasik <mati75@linuxmint.pl> to control@bugs.debian.org. (Thu, 18 Jul 2013 19:51:08 GMT) Full text and rfc822 format available.

Owner recorded as Mateusz Łukasik <mati75@linuxmint.pl>. Request was from Mateusz Łukasik <mati75@linuxmint.pl> to control@bugs.debian.org. (Thu, 18 Jul 2013 19:51:10 GMT) Full text and rfc822 format available.

Reply sent to Mateusz Łukasik <mati75@linuxmint.pl>:
You have taken responsibility. (Tue, 23 Jul 2013 10:36:11 GMT) Full text and rfc822 format available.

Notification sent to Nico Golde <nion@debian.org>:
Bug acknowledged by developer. (Tue, 23 Jul 2013 10:36:11 GMT) Full text and rfc822 format available.

Message #53 received at 566900-close@bugs.debian.org (full text, mbox):

From: Mateusz Łukasik <mati75@linuxmint.pl>
To: 566900-close@bugs.debian.org
Subject: Bug#566900: fixed in openbox 3.5.0-8
Date: Tue, 23 Jul 2013 10:33:26 +0000
Source: openbox
Source-Version: 3.5.0-8

We believe that the bug you reported is fixed in the latest version of
openbox, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566900@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mateusz Łukasik <mati75@linuxmint.pl> (supplier of updated openbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 23 Jul 2013 08:37:08 +0200
Source: openbox
Binary: openbox libobt0 libobrender27 openbox-dev
Architecture: source amd64
Version: 3.5.0-8
Distribution: unstable
Urgency: low
Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Changed-By: Mateusz Łukasik <mati75@linuxmint.pl>
Description: 
 libobrender27 - rendering library for openbox themes
 libobt0    - parsing library for openbox
 openbox    - standards-compliant, fast, light-weight, extensible window manage
 openbox-dev - development files for the openbox window manager
Closes: 566900 644628 647427 658081 695432 704724 705793 709439
Changes: 
 openbox (3.5.0-8) unstable; urgency=low
 .
   * New maintainer. (Closes: #566900)
   * Bump standard version and compat.
   * Add python-xdg to dependences:
     + Fix XDG_DATA_DIRS not set when using openbox-gnome-session,
       (Closes: #647427)
     + Fix openbox: missing dependency: python-xdg. (Closes: #695432)
   * Update config files:
     + Add debian/patches/704724_fix_refers-to-autostart.sh.patch to fix
       openbox-session(1) refers to autostart.sh files, (Closes: #704724)
     + Add debian/patches/644628_fix_autostart.patch to fix openbox: Please
       provide a way to disable openbox-xdg-autostart via config file.
       (Closes: #644628)
   * Remove support for gdm-control and gnome-panel-control to fix
     openbox: gdm-control fails to execute. (Closes: #705793)
   * Add 91_fix_loose_focus.patch: From upstream, focus the windows when the
      execute action is run. (Closes: #709439)
   * Add patches from Arch Linux:
     + openbox-3.5.0-which-2.20.patch,
     + openbox-3.5.0-title-matching.patch.
   * Add 658081_fix_kde_menu.patch:
     + fix bad KDE menu placement when running a KDE/Openbox
     session (Closes: #658081)
   * Add add_automake1.11_support.patch: From upstream, add support
     automake 1.11 and newest.
   * Switch to Vcs-Git.
Checksums-Sha1: 
 dc66cd7d55222f715429f3255ea1461f52208e6a 2194 openbox_3.5.0-8.dsc
 3c3b8d2bc4f4e229871254e92d6b18639be00302 911834 openbox_3.5.0.orig.tar.gz
 19a7a8a11d4b9053eba82e76c65b39a7851940e6 45505 openbox_3.5.0-8.debian.tar.gz
 3cc5eddd158a34b0d3f17db38fcc166e61e65941 332702 openbox_3.5.0-8_amd64.deb
 5ca9f29476b1918aa424e7c9178c3249b80de450 66308 libobt0_3.5.0-8_amd64.deb
 c663de760e253cc6da857c57b729d9e565630a31 78480 libobrender27_3.5.0-8_amd64.deb
 e17649e385a6b708d50852e8f52408d7888d723d 125054 openbox-dev_3.5.0-8_amd64.deb
Checksums-Sha256: 
 8ee1c81a965bf576031afc9a17940b52ea08a7637768873bfd28b06099be977c 2194 openbox_3.5.0-8.dsc
 6fa90016530b3aa6102e254079461977439398531fb23e7ec076ff2c140fea0a 911834 openbox_3.5.0.orig.tar.gz
 fcc3d4fecef806ad1bf0f6008e29082c2e59fb2e20e7c8370621b3db2c972036 45505 openbox_3.5.0-8.debian.tar.gz
 b7f6f54c39d278f483d69d25391221968941efb7b8572dc0302f6380a10accda 332702 openbox_3.5.0-8_amd64.deb
 ae94efe60276ecf3237e1ae13954679f5abc2f9a234d5ad2fb2c17035674a334 66308 libobt0_3.5.0-8_amd64.deb
 35585a5beec68167c892c300e83a7a6c1f8430dc31a0522960069c36c1c42ab8 78480 libobrender27_3.5.0-8_amd64.deb
 607b79e99b6181a6a1871b990b8c43ae298964845ccfc0d9696823d23d27c201 125054 openbox-dev_3.5.0-8_amd64.deb
Files: 
 d19fbe91f66bfb5773d832970b5c3dca 2194 x11 optional openbox_3.5.0-8.dsc
 00441b53cf14c03566c8e82643544ff9 911834 x11 optional openbox_3.5.0.orig.tar.gz
 400e10de3768626e6712b4d4bf594ff4 45505 x11 optional openbox_3.5.0-8.debian.tar.gz
 3a95a47283f1a1e5cdcd07d5188420b5 332702 x11 optional openbox_3.5.0-8_amd64.deb
 f6a649ab0a51d5f927e4c5b49c4e5a99 66308 libs optional libobt0_3.5.0-8_amd64.deb
 094a1cff7d5173d83ace21aa1755cd51 78480 libs optional libobrender27_3.5.0-8_amd64.deb
 45586e8e393bf66052e2e42bbfd5b76c 125054 libdevel optional openbox-dev_3.5.0-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJR7litAAoJEHQmOzf1tfkTz/QP/0LnywkrCYYb/mI23MDaldIQ
Pn93/l1X48tkK/SVmkYWbKh5xjKxPI8j67dGcH8z6tXfh59OH69aU4zhIRpEfjU7
3e9c+kdGKB4lXD080uRhvyet6EKX9I1wmb/o1LFuFha36n8NlAuCGQEHX/1/IxlI
7kZlTIuS/VBuPMk5SaHrxy8dW7M14vLXJG5TBzEUin3hLfGGJbpDYB7gz9g7z3Zk
KN8sxnP+9tuVh2FMDoUI/GNrZ0wkQ8bxU7JPFu0YbUHsLcxFdGHDMIcK/CugBgIJ
T2krr4ORp4m73cT3d3hAc3wEADKKlJQhUWajbd+SxENKHhEtCdHNZRcdcC2AUNy1
yJw8JH/cl+53Iv7AE0Qg7BthrzLzEc9489LaS8e5AkY9H5PI0je/8lUfAxiEe6xe
n32BT4Z+enA7OfHm8jdcViVaKvdbxOyEl5wUkUGj9FkKRsnIXFrVRxSSJxyRklU/
aLT9l8/6PbVD6ln7FTLhPQ+4O0YjmoQxoDmWUMRA37ZpKILQs4fW3blkQldCWf9k
KRcrml2DbVhdnKnGPprFDWxWHX+ensxGZDXNyqIKWaOfHMwsuyTqFI/yaM7IkPQQ
MpSD3h9bSdw+OoovzL5NvZAzydugZuh4AHO4s1m0vYemgeZAsICKmietZamucbMM
R3jMGeP4Wdml1gsoENVC
=Jsjq
-----END PGP SIGNATURE-----




Reply sent to Mateusz Łukasik <mati75@linuxmint.pl>:
You have taken responsibility. (Tue, 23 Jul 2013 10:36:12 GMT) Full text and rfc822 format available.

Notification sent to Nico Golde <nion@debian.org>:
Bug acknowledged by developer. (Tue, 23 Jul 2013 10:36:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Aug 2013 07:25:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:08:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.